package laba3;

import java.util.Random;

public class example9 {
    public static void main(String[] args) {

        int size = 10; // размер массива
        int[] array = new int[size];

        Random random = new Random();

        // заполнение массива случайными числами
        for (int i = 0; i < array.length; i++) {
            array[i] = random.nextInt(20) - 10; // числа от -10 до 9
        }

        // вывод массива
        System.out.println("Массив:");
        for (int i = 0; i < array.length; i++) {
            System.out.print(array[i] + " ");
        }

        // поиск минимального значения
        int min = array[0];
        for (int i = 1; i < array.length; i++) {
            if (array[i] < min) {
                min = array[i];
            }
        }

        // вывод минимального значения и его индексов
        System.out.println("\n\nМинимальное значение: " + min);
        System.out.print("Индексы элементов с минимальным значением: ");

        for (int i = 0; i < array.length; i++) {
            if (array[i] == min) {
                System.out.print(i + " ");
            }
        }
    }
}